[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Build-Depend'ing on libasound2-dev just for Linux

Le dimanche 18 septembre 2005 à 02:22 +0300, Guillem Jover a écrit :
> > In this case, it is enough to do something like:
> > Build-Depends: type-handling, libasound2-dev | not+linux-gnu
> No, that's too late, the Build-Depends are analyzed before installing
> them. You'd need some kind of ugly Build-PreDepends or similar.

I can only see this as a bug in the buildd software. I agree that we
need the functionality in dpkg anyway, but tools should be able to
handle a workaround like type-handling.
 .''`.           Josselin Mouette        /\./\
: :' :           josselin.mouette@ens-lyon.org
`. `'                        joss@debian.org
  `-  Debian GNU/Linux -- The power of freedom

Attachment: signature.asc
Description: This is a digitally signed message part

Reply to: